<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$id = 0;

if($_REQUEST['id']){$id = $_REQUEST['id'];}

if( $_REQUEST["usuario"] ) {
    $usuario = $_REQUEST['usuario'];
 }

 if( $_REQUEST["historial"] ) {
    $historia = $_REQUEST['historial'];
 }

 $fecha = dl_fecha::dl_ahora_texto();

$sql = "UPDATE conexiones SET activo = 0 WHERE id = " . $id;

$resultado = mysqli_query($con,$sql);

$sql = "INSERT INTO log (id_conex,descripcion,tipo,usuario,fecha) VALUES (" . $id . ",'" . $historia . "','ELIMINA_CONEXION','" . $usuario . "','" . $fecha . "')";

$resultado = mysqli_query($con,$sql);

$res = array();
if ($resultado != FALSE){
    array_push($res,"ok");
}
else
{
    array_push($res,"falso");
}
mysqli_close($con);
echo json_encode($res);
?>
